From af357ef9449685a7fb681c788b37f39212bbb897 Mon Sep 17 00:00:00 2001
From: Matthew Harmsen <mharmsen@redhat.com>
Date: Fri, 26 Oct 2012 11:16:50 -0700
Subject: [PATCH] Removal of version numbers from jar file names

* TRAC Ticket #350 - Dogtag 10: Remove version numbers from PKI jar files . . .
---
 base/ca/src/CMakeLists.txt           |   14 +------
 base/common/src/CMakeLists.txt       |   68 +++++-----------------------------
 base/common/test/CMakeLists.txt      |   10 ++---
 base/console/src/CMakeLists.txt      |   12 +-----
 base/java-tools/src/CMakeLists.txt   |   14 +------
 base/javadoc/CMakeLists.txt          |    2 +-
 base/kra/src/CMakeLists.txt          |   14 +------
 base/ocsp/src/CMakeLists.txt         |   14 +------
 base/silent/src/CMakeLists.txt       |   14 +------
 base/symkey/src/CMakeLists.txt       |   12 +-----
 base/tks/src/CMakeLists.txt          |   14 +------
 base/util/src/CMakeLists.txt         |   26 ++-----------
 base/util/test/CMakeLists.txt        |    2 +-
 dogtag/console-ui/src/CMakeLists.txt |   12 +-----
 specs/dogtag-pki-theme.spec          |    5 ++-
 specs/pki-console.spec               |    5 ++-
 specs/pki-core.spec                  |   22 +++--------
 17 files changed, 48 insertions(+), 212 deletions(-)

diff --git a/base/ca/src/CMakeLists.txt b/base/ca/src/CMakeLists.txt
index 9bfbb23..6aa00a7 100644
--- a/base/ca/src/CMakeLists.txt
+++ b/base/ca/src/CMakeLists.txt
@@ -43,7 +43,7 @@ javac(pki-ca-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        symkey pki-nsutil pki-cmsutil pki-certsrv pki-cms pki-cmscore
+        symkey-jar pki-nsutil-jar pki-cmsutil-jar pki-certsrv-jar pki-cms-jar pki-cmscore-jar
 )
 
 configure_file(
@@ -53,7 +53,7 @@ configure_file(
 
 jar(pki-ca-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-ca-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-ca.jar
     OPTIONS
         m
     PARAMS
@@ -66,19 +66,9 @@ jar(pki-ca-jar
         pki-ca-classes
 )
 
-link(pki-ca
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-ca.jar
-    DEST
-        pki-ca-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-ca-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-ca.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-ca-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/base/common/src/CMakeLists.txt b/base/common/src/CMakeLists.txt
index 516c7ad..d5caff4 100644
--- a/base/common/src/CMakeLists.txt
+++ b/base/common/src/CMakeLists.txt
@@ -133,7 +133,7 @@ javac(pki-certsrv-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        pki-nsutil pki-cmsutil
+        pki-nsutil-jar pki-cmsutil-jar
 )
 
 configure_file(
@@ -143,7 +143,7 @@ configure_file(
 
 jar(pki-certsrv-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-certsrv-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-certsrv.jar
     OPTIONS
         m
     PARAMS
@@ -156,19 +156,9 @@ jar(pki-certsrv-jar
         pki-certsrv-classes
 )
 
-link(pki-certsrv
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-certsrv.jar
-    DEST
-        pki-certsrv-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-certsrv-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-certsrv.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-certsrv-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
@@ -193,7 +183,7 @@ javac(pki-cms-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        pki-nsutil pki-cmsutil pki-certsrv
+        pki-nsutil-jar pki-cmsutil-jar pki-certsrv-jar
 )
 
 configure_file(
@@ -203,7 +193,7 @@ configure_file(
 
 jar(pki-cms-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-cms-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-cms.jar
     OPTIONS
         m
     PARAMS
@@ -218,19 +208,9 @@ jar(pki-cms-jar
         pki-cms-classes
 )
 
-link(pki-cms
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-cms.jar
-    DEST
-        pki-cms-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-cms-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-cms.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-cms-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
@@ -247,7 +227,7 @@ javac(pki-tomcat-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        pki-cms
+        pki-cms-jar
 )
 
 configure_file(
@@ -257,7 +237,7 @@ configure_file(
 
 jar(pki-tomcat-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-tomcat-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-tomcat.jar
     OPTIONS
         m
     PARAMS
@@ -270,19 +250,9 @@ jar(pki-tomcat-jar
         pki-tomcat-classes
 )
 
-link(pki-tomcat
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-tomcat.jar
-    DEST
-        pki-tomcat-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-tomcat-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-tomcat.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-tomcat-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
@@ -305,7 +275,7 @@ javac(pki-cmscore-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        pki-nsutil pki-cmsutil pki-certsrv pki-cms pki-tomcat
+        pki-nsutil-jar pki-cmsutil-jar pki-certsrv-jar pki-cms-jar pki-tomcat-jar
 )
 
 configure_file(
@@ -315,7 +285,7 @@ configure_file(
 
 jar(pki-cmscore-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-cmscore-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-cmscore.jar
     OPTIONS
         m
     PARAMS
@@ -328,19 +298,9 @@ jar(pki-cmscore-jar
         pki-cmscore-classes
 )
 
-link(pki-cmscore
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-cmscore.jar
-    DEST
-        pki-cmscore-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-cmscore-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-cmscore.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-cmscore-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
@@ -356,7 +316,7 @@ configure_file(
 
 jar(pki-cmsbundle-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-cmsbundle-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-cmsbundle.jar
     OPTIONS
         m
     PARAMS
@@ -368,19 +328,9 @@ jar(pki-cmsbundle-jar
         pki-cmsbundle-jar
 )
 
-link(pki-cmsbundle
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-cmsbundle.jar
-    DEST
-        pki-cmsbundle-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-cmsbundle-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-cmsbundle.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-cmsbundle-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/base/common/test/CMakeLists.txt b/base/common/test/CMakeLists.txt
index 181c753..d39b34f 100644
--- a/base/common/test/CMakeLists.txt
+++ b/base/common/test/CMakeLists.txt
@@ -9,21 +9,21 @@ find_file(PKI_CERTSRV_JAR
 
 find_file(PKI_CMS_JAR
     NAMES
-		pki-cms
+		pki-cms.jar
     PATHS
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
 
 find_file(PKI_CMSCORE_JAR
     NAMES
-		pki-cmscore
+		pki-cmscore.jar
     PATHS
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
 
 find_file(PKI_CMSBUNDLE_JAR
     NAMES
-		pki-cmsbundle
+		pki-cmsbundle.jar
     PATHS
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
@@ -44,8 +44,8 @@ javac(pki-common-test-classes
         ${CMAKE_BINARY_DIR}/test/classes
     DEPENDS
         pki-test-classes
-        pki-nsutil pki-cmsutil
-        pki-certsrv pki-cms pki-cmscore pki-cmsbundle
+        pki-nsutil-jar pki-cmsutil-jar
+        pki-certsrv-jar pki-cms-jar pki-cmscore-jar pki-cmsbundle-jar
 )
 
 # create test target
diff --git a/base/console/src/CMakeLists.txt b/base/console/src/CMakeLists.txt
index f53f2dd..40f8843 100644
--- a/base/console/src/CMakeLists.txt
+++ b/base/console/src/CMakeLists.txt
@@ -106,7 +106,7 @@ configure_file(
 # package console classes and resources
 jar(pki-console-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-console-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-console.jar
     OPTIONS
         m
     PARAMS
@@ -123,19 +123,9 @@ jar(pki-console-jar
         pki-console-classes
 )
 
-link(pki-console
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-console.jar
-    DEST
-        pki-console-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-console-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-console.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-console-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/base/java-tools/src/CMakeLists.txt b/base/java-tools/src/CMakeLists.txt
index d2169e1..1914856 100644
--- a/base/java-tools/src/CMakeLists.txt
+++ b/base/java-tools/src/CMakeLists.txt
@@ -94,7 +94,7 @@ javac(pki-tools-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        pki-nsutil pki-cmsutil pki-certsrv
+        pki-nsutil-jar pki-cmsutil-jar pki-certsrv-jar
 )
 
 configure_file(
@@ -104,7 +104,7 @@ configure_file(
 
 jar(pki-tools-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-tools-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-tools.jar
     OPTIONS
         m
     PARAMS
@@ -117,19 +117,9 @@ jar(pki-tools-jar
         pki-tools-classes
 )
 
-link(pki-tools
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-tools.jar
-    DEST
-        pki-tools-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-tools-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-tools.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-tools-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/base/javadoc/CMakeLists.txt b/base/javadoc/CMakeLists.txt
index c2d4a80..99d152c 100644
--- a/base/javadoc/CMakeLists.txt
+++ b/base/javadoc/CMakeLists.txt
@@ -29,7 +29,7 @@ javadoc(pki-javadoc
         -use
         -version
     DEPENDS
-        pki-cmsutil pki-certsrv pki-cms pki-tools
+        pki-cmsutil-jar pki-certsrv-jar pki-cms-jar pki-tools-jar
 )
 
 install(
diff --git a/base/kra/src/CMakeLists.txt b/base/kra/src/CMakeLists.txt
index 1d4f75b..38544dd 100644
--- a/base/kra/src/CMakeLists.txt
+++ b/base/kra/src/CMakeLists.txt
@@ -88,7 +88,7 @@ javac(pki-kra-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        symkey pki-nsutil pki-cmsutil pki-certsrv pki-cms pki-cmscore
+        symkey-jar pki-nsutil-jar pki-cmsutil-jar pki-certsrv-jar pki-cms-jar pki-cmscore-jar
 )
 
 configure_file(
@@ -98,7 +98,7 @@ configure_file(
 
 jar(pki-kra-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-kra-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-kra.jar
     OPTIONS
         m
     PARAMS
@@ -111,19 +111,9 @@ jar(pki-kra-jar
         pki-kra-classes
 )
 
-link(pki-kra
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-kra.jar
-    DEST
-        pki-kra-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-kra-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-kra.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-kra-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/base/ocsp/src/CMakeLists.txt b/base/ocsp/src/CMakeLists.txt
index 2ea6a15..2251e9b 100644
--- a/base/ocsp/src/CMakeLists.txt
+++ b/base/ocsp/src/CMakeLists.txt
@@ -88,7 +88,7 @@ javac(pki-ocsp-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        symkey pki-nsutil pki-cmsutil pki-certsrv pki-cms pki-cmscore
+        symkey-jar pki-nsutil-jar pki-cmsutil-jar pki-certsrv-jar pki-cms-jar pki-cmscore-jar
 )
 
 configure_file(
@@ -98,7 +98,7 @@ configure_file(
 
 jar(pki-ocsp-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-ocsp-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-ocsp.jar
     OPTIONS
         m
     PARAMS
@@ -111,19 +111,9 @@ jar(pki-ocsp-jar
         pki-ocsp-classes
 )
 
-link(pki-ocsp
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-ocsp.jar
-    DEST
-        pki-ocsp-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-ocsp-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-ocsp.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-ocsp-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/base/silent/src/CMakeLists.txt b/base/silent/src/CMakeLists.txt
index 00e1c4e..72be415 100644
--- a/base/silent/src/CMakeLists.txt
+++ b/base/silent/src/CMakeLists.txt
@@ -36,7 +36,7 @@ javac(pki-silent-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        symkey pki-cmsutil pki-nsutil pki-certsrv pki-cms
+        symkey-jar pki-cmsutil-jar pki-nsutil-jar pki-certsrv-jar pki-cms-jar
 )
 
 configure_file(
@@ -46,7 +46,7 @@ configure_file(
 
 jar(pki-silent-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-silent-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-silent.jar
     OPTIONS
         m
     PARAMS
@@ -62,19 +62,9 @@ jar(pki-silent-jar
         pki-silent-classes
 )
 
-link(pki-silent
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-silent.jar
-    DEST
-        pki-silent-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-silent-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-silent.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-silent-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/base/symkey/src/CMakeLists.txt b/base/symkey/src/CMakeLists.txt
index b4d1906..03ba547 100644
--- a/base/symkey/src/CMakeLists.txt
+++ b/base/symkey/src/CMakeLists.txt
@@ -20,7 +20,7 @@ javac(symkey-classes
 
 jar(symkey-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/symkey-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/symkey.jar
     INPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     FILES
@@ -29,19 +29,9 @@ jar(symkey-jar
         symkey-classes
 )
 
-link(symkey
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/symkey.jar
-    DEST
-        symkey-${APPLICATION_VERSION}.jar
-    DEPENDS
-        symkey-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/symkey.jar
-        ${CMAKE_BINARY_DIR}/dist/symkey-${APPLICATION_VERSION}.jar
     DESTINATION
         ${LIB_INSTALL_DIR}/symkey
 )
diff --git a/base/tks/src/CMakeLists.txt b/base/tks/src/CMakeLists.txt
index cb901c4..522d1dc 100644
--- a/base/tks/src/CMakeLists.txt
+++ b/base/tks/src/CMakeLists.txt
@@ -89,7 +89,7 @@ javac(pki-tks-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        symkey pki-nsutil pki-cmsutil pki-certsrv pki-cms pki-cmscore
+        symkey-jar pki-nsutil-jar pki-cmsutil-jar pki-certsrv-jar pki-cms-jar pki-cmscore-jar
 )
 
 configure_file(
@@ -99,7 +99,7 @@ configure_file(
 
 jar(pki-tks-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-tks-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-tks.jar
     OPTIONS
         m
     PARAMS
@@ -112,19 +112,9 @@ jar(pki-tks-jar
         pki-tks-classes
 )
 
-link(pki-tks
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-tks.jar
-    DEST
-        pki-tks-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-tks-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-tks.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-tks-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/base/util/src/CMakeLists.txt b/base/util/src/CMakeLists.txt
index a39d9d8..767db7d 100644
--- a/base/util/src/CMakeLists.txt
+++ b/base/util/src/CMakeLists.txt
@@ -64,7 +64,7 @@ configure_file(
 
 jar(pki-nsutil-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-nsutil-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-nsutil.jar
     OPTIONS
         m
     PARAMS
@@ -77,19 +77,9 @@ jar(pki-nsutil-jar
         pki-nsutil-classes
 )
 
-link(pki-nsutil
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-nsutil.jar
-    DEST
-        pki-nsutil-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-nsutil-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-nsutil.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-nsutil-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
@@ -107,7 +97,7 @@ javac(pki-cmsutil-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/classes
     DEPENDS
-        pki-nsutil
+        pki-nsutil-jar
 )
 
 configure_file(
@@ -117,7 +107,7 @@ configure_file(
 
 jar(pki-cmsutil-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-cmsutil-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-cmsutil.jar
     OPTIONS
         m
     PARAMS
@@ -130,19 +120,9 @@ jar(pki-cmsutil-jar
         pki-cmsutil-classes
 )
 
-link(pki-cmsutil
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-cmsutil.jar
-    DEST
-        pki-cmsutil-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-cmsutil-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-cmsutil.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-cmsutil-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/base/util/test/CMakeLists.txt b/base/util/test/CMakeLists.txt
index 28aae0a..fdb97e5 100644
--- a/base/util/test/CMakeLists.txt
+++ b/base/util/test/CMakeLists.txt
@@ -13,7 +13,7 @@ javac(pki-util-test-classes
     OUTPUT_DIR
         ${CMAKE_BINARY_DIR}/test/classes
     DEPENDS
-        pki-test-classes pki-nsutil pki-cmsutil
+        pki-test-classes pki-nsutil-jar pki-cmsutil-jar
 )
 
 # create test target
diff --git a/dogtag/console-ui/src/CMakeLists.txt b/dogtag/console-ui/src/CMakeLists.txt
index c6c4fcb..17daf26 100644
--- a/dogtag/console-ui/src/CMakeLists.txt
+++ b/dogtag/console-ui/src/CMakeLists.txt
@@ -2,7 +2,7 @@ set(pki-console-theme_java Java)
 
 jar(pki-console-theme-jar
     CREATE
-        ${CMAKE_BINARY_DIR}/dist/pki-console-theme-${APPLICATION_VERSION}.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-console-theme.jar
     FILES
         CMSAdminRS.properties
         com/netscape/management/client/theme/theme.properties
@@ -13,19 +13,9 @@ jar(pki-console-theme-jar
         com/netscape/admin/certsrv/theme/certmgmt.gif
 )
 
-link(pki-console-theme
-    SOURCE
-        ${CMAKE_BINARY_DIR}/dist/pki-console-theme.jar
-    DEST
-        pki-console-theme-${APPLICATION_VERSION}.jar
-    DEPENDS
-        pki-console-theme-jar
-)
-
 install(
     FILES
         ${CMAKE_BINARY_DIR}/dist/pki-console-theme.jar
-        ${CMAKE_BINARY_DIR}/dist/pki-console-theme-${APPLICATION_VERSION}.jar
     DESTINATION
         ${JAVA_JAR_INSTALL_DIR}/pki
 )
diff --git a/specs/dogtag-pki-theme.spec b/specs/dogtag-pki-theme.spec
index f6fed7e..8ccb746 100644
--- a/specs/dogtag-pki-theme.spec
+++ b/specs/dogtag-pki-theme.spec
@@ -7,7 +7,7 @@
 
 Name:             dogtag-pki-theme
 Version:          10.0.0
-Release:          %{?relprefix}2%{?prerel}%{?dist}
+Release:          %{?relprefix}3%{?prerel}%{?dist}
 Summary:          Certificate System - Dogtag PKI Theme Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -361,6 +361,9 @@ chmod 755 %{buildroot}%{_datadir}/pki/tps-ui/cgi-bin/sow/cfg.pl
 
 
 %changelog
+* Wed Oct 24 2012 Matthew Harmsen <mharmsen@redhat.com> 10.0.0-0.3.b1
+- TRAC Ticket #350 - Dogtag 10: Remove version numbers from PKI jar files . . .
+
 * Mon Oct 8 2012 Ade Lee <alee@redhat.com> 10.0.0-0.2.b1
 - Update release to b1
 
diff --git a/specs/pki-console.spec b/specs/pki-console.spec
index c4d402d..f3f62de 100644
--- a/specs/pki-console.spec
+++ b/specs/pki-console.spec
@@ -7,7 +7,7 @@
 
 Name:             pki-console
 Version:          10.0.0
-Release:          %{?relprefix}8%{?prerel}%{?dist}
+Release:          %{?relprefix}9%{?prerel}%{?dist}
 Summary:          Certificate System - PKI Console
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -102,6 +102,9 @@ cd build
 
 
 %changelog
+* Wed Oct 24 2012 Matthew Harmsen <mharmsen@redhat.com> 10.0.0-0.9.b1
+- TRAC Ticket #350 - Dogtag 10: Remove version numbers from PKI jar files . . .
+
 * Mon Oct 8 2012 Ade Lee <alee@redhat.com> 10.0.0-0.8.b1
 - Update release to b1
 
diff --git a/specs/pki-core.spec b/specs/pki-core.spec
index 06c84e5..61d3188 100644
--- a/specs/pki-core.spec
+++ b/specs/pki-core.spec
@@ -14,7 +14,7 @@ distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 
 Name:             pki-core
 Version:          10.0.0
-Release:          %{?relprefix}46%{?prerel}%{?dist}
+Release:          %{?relprefix}47%{?prerel}%{?dist}
 Summary:          Certificate System - PKI Core Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -662,11 +662,11 @@ cd build
 %{__make} install DESTDIR=%{buildroot} INSTALL="install -p"
 
 cd %{buildroot}%{_libdir}/symkey
-%{__rm} symkey.jar
 %if 0%{?fedora} >= 16
 %{__rm} %{buildroot}%{_jnidir}/symkey.jar
-%{__mv} symkey-%{version}.jar %{buildroot}%{_jnidir}/symkey.jar
+%{__mv} symkey.jar %{buildroot}%{_jnidir}/symkey.jar
 %else
+%{__rm} symkey.jar
 %{__ln_s} symkey-%{version}.jar symkey.jar
 %endif
 
@@ -1049,11 +1049,8 @@ fi
 %dir %{_datadir}/pki
 %{_datadir}/pki/VERSION
 %dir %{_javadir}/pki
-%{_javadir}/pki/pki-cmsutil-%{version}.jar
 %{_javadir}/pki/pki-cmsutil.jar
-%{_javadir}/pki/pki-nsutil-%{version}.jar
 %{_javadir}/pki/pki-nsutil.jar
-%{_javadir}/pki/pki-certsrv-%{version}.jar
 %{_javadir}/pki/pki-certsrv.jar
 
 %files -n pki-tools
@@ -1086,7 +1083,6 @@ fi
 %{_bindir}/PrettyPrintCert
 %{_bindir}/PrettyPrintCrl
 %{_bindir}/TokenInfo
-%{_javadir}/pki/pki-tools-%{version}.jar
 %{_javadir}/pki/pki-tools.jar
 %{_datadir}/pki/java-tools/
 
@@ -1128,15 +1124,10 @@ fi
 %{_unitdir}/pki-tomcatd@.service
 %{_unitdir}/pki-tomcatd.target
 %endif
-%{_javadir}/pki/pki-cms-%{version}.jar
 %{_javadir}/pki/pki-cms.jar
-%{_javadir}/pki/pki-cmsbundle-%{version}.jar
 %{_javadir}/pki/pki-cmsbundle.jar
-%{_javadir}/pki/pki-cmscore-%{version}.jar
 %{_javadir}/pki/pki-cmscore.jar
-%{_javadir}/pki/pki-silent-%{version}.jar
 %{_javadir}/pki/pki-silent.jar
-%{_javadir}/pki/pki-tomcat-%{version}.jar
 %{_javadir}/pki/pki-tomcat.jar
 %dir %{_localstatedir}/lock/pki/tomcat
 %dir %{_localstatedir}/run/pki/tomcat
@@ -1186,7 +1177,6 @@ fi
 %else 
 %{_initrddir}/pki-cad
 %endif
-%{_javadir}/pki/pki-ca-%{version}.jar
 %{_javadir}/pki/pki-ca.jar
 %dir %{_datadir}/pki/ca
 %{_datadir}/pki/ca/conf/
@@ -1217,7 +1207,6 @@ fi
 %else 
 %{_initrddir}/pki-krad
 %endif
-%{_javadir}/pki/pki-kra-%{version}.jar
 %{_javadir}/pki/pki-kra.jar
 %dir %{_datadir}/pki/kra
 %{_datadir}/pki/kra/conf/
@@ -1245,7 +1234,6 @@ fi
 %else 
 %{_initrddir}/pki-ocspd
 %endif
-%{_javadir}/pki/pki-ocsp-%{version}.jar
 %{_javadir}/pki/pki-ocsp.jar
 %dir %{_datadir}/pki/ocsp
 %{_datadir}/pki/ocsp/conf/
@@ -1273,7 +1261,6 @@ fi
 %else 
 %{_initrddir}/pki-tksd
 %endif
-%{_javadir}/pki/pki-tks-%{version}.jar
 %{_javadir}/pki/pki-tks.jar
 %dir %{_datadir}/pki/tks
 %{_datadir}/pki/tks/conf/
@@ -1299,6 +1286,9 @@ fi
 
 
 %changelog
+* Wed Oct 24 2012 Matthew Harmsen <mharmsen@redhat.com> 10.0.0-0.47.b1
+- TRAC Ticket #350 - Dogtag 10: Remove version numbers from PKI jar files . . .
+
 * Tue Oct 23 2012 Ade Lee <alee@redhat.com> 10.0.0-0.46.b1
 - Added Obsoletes for pki-selinux
 
-- 
1.7.10.4